Package org.gradle.api.tasks

## Class GradleBuild

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.GradleBuild

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      public class GradleBuild
      extends org.gradle.api.internal.ConventionTask

  Executes a Gradle build.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GradleBuild()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getBuildFile()` | Returns the build file that should be used for this build.
    `java.lang.String` | `getBuildName()` | The build name to use for the nested build.
    `java.io.File` | `getDir()` | Returns the project directory for the build.
    `StartParameter` | `getStartParameter()` | Returns the full set of parameters that will be used to execute the build.
    `java.util.List<java.lang.String>` | `getTasks()` | Returns the tasks that should be executed for this build.
    `void` | `setBuildFile​(java.io.File file)` | Sets the build file that should be used for this build.
    `void` | `setBuildFile​(java.lang.Object file)` | Sets the build file that should be used for this build.
    `void` | `setBuildName​(java.lang.String buildName)` | Sets build name to use for the nested build.
    `void` | `setDir​(java.io.File dir)` | Sets the project directory for the build.
    `void` | `setDir​(java.lang.Object dir)` | Sets the project directory for the build.
    `void` | `setStartParameter​(StartParameter startParameter)` | Sets the full set of parameters that will be used to execute the build.
    `void` | `setTasks​(java.util.Collection<java.lang.String> tasks)` | Sets the tasks that should be executed for this build.
    `void` | `setTasks​(java.util.List<java.lang.String> tasks)` | Sets the tasks that should be executed for this build.

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getOnlyIf, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, prependParallelSafeAction, setImpliesSubProjects, setLoggerMessageRewriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `getConvention`

- - ### Constructor Detail

    - #### GradleBuild

          public GradleBuild()

  - ### Method Detail

    - #### getStartParameter

          @Internal
          public StartParameter getStartParameter()

      Returns the full set of parameters that will be used to execute the build.
      Returns:
        the parameters. Never returns null.

    - #### setStartParameter

          public void setStartParameter​(StartParameter startParameter)

      Sets the full set of parameters that will be used to execute the build.
      Parameters:
        `startParameter` - the parameters. Should not be null.

    - #### getDir

          @Internal
          public java.io.File getDir()

      Returns the project directory for the build. Defaults to the project directory.
      Returns:
        The project directory. Never returns null.

    - #### setDir

          public void setDir​(java.io.File dir)

      Sets the project directory for the build.
      Parameters:
        `dir` - The project directory. Should not be null.
      Since:
        4.0

    - #### setDir

          public void setDir​(java.lang.Object dir)

      Sets the project directory for the build.
      Parameters:
        `dir` - The project directory. Should not be null.

    - #### getBuildFile

          @Nullable
          @Optional
          @PathSensitive(NAME_ONLY)
          @InputFile
          public java.io.File getBuildFile()

      Returns the build file that should be used for this build. Defaults to "build.gradle" in the project directory.
      Returns:
        The build file. May be null.

    - #### setBuildFile

          public void setBuildFile​(@Nullable
                                   java.io.File file)

      Sets the build file that should be used for this build.
      Parameters:
        `file` - The build file. May be null to use the default build file for the build.
      Since:
        4.0

    - #### setBuildFile

          public void setBuildFile​(@Nullable
                                   java.lang.Object file)

      Sets the build file that should be used for this build.
      Parameters:
        `file` - The build file. May be null to use the default build file for the build.

    - #### getTasks

          @Input
          public java.util.List<java.lang.String> getTasks()

      Returns the tasks that should be executed for this build.
      Returns:
        The sequence. May be empty. Never returns null.

    - #### setTasks

          public void setTasks​(java.util.List<java.lang.String> tasks)

      Sets the tasks that should be executed for this build.
      Parameters:
        `tasks` - The task names. May be empty or null to use the default tasks for the build.
      Since:
        4.0

    - #### setTasks

          public void setTasks​(java.util.Collection<java.lang.String> tasks)

      Sets the tasks that should be executed for this build.
      Parameters:
        `tasks` - The task names. May be empty or null to use the default tasks for the build.

    - #### getBuildName

          @Incubating
          @Internal
          public java.lang.String getBuildName()

      The build name to use for the nested build.

      If no value is specified, the name of the directory of the build will be used.

      Returns:
        the build name to use for the nested build (or null if the default is to be used)
      Since:
        6.0

    - #### setBuildName

          @Incubating
          public void setBuildName​(java.lang.String buildName)

      Sets build name to use for the nested build.
      Parameters:
        `buildName` - the build name to use for the nested build
      Since:
        6.0